'use strict';

/*
 * Functions on JS strings.
 * 
 */

function join(f, separator = '') {
	return (accumulator, value) => accumulator ? accumulator + separator + f(value) : f(value); 
}

function joinSeparatedBySpaces(f) {
	return join(f, ' ');
}

export {
	join
,	joinSeparatedBySpaces
};