'use strict';

// There are embarrasingly few unit tests here. I tend to write them when I think I need them rather than follow TDD, especially when the code is little more than a protype
// at this stage. However, I know it's a bad habit.

import { test, assertThat } from './testing.js';
import { midpointOfVertices, edgeMidpointVerticesOfPolygon, vertexFromXY } from './geometry.js';

const tests = {
	'Calculate midpoint vertex of horizontal unit line': () => {
		let left = vertexFromXY(0, 0);
		let right = vertexFromXY(1, 0);
		let midpointVertex = midpointOfVertices(left, right);
		assertThat(midpointVertex).isEqualTo(vertexFromXY(0.5, 0));
	},
	'Calculate edge midpoint vertices of the unit square': () => {
		let unitSquare = [
			vertexFromXY(0, 0),
			vertexFromXY(1, 0),
			vertexFromXY(1, 1),
			vertexFromXY(0, 1)
		];
		let edgeMidpointVertices = edgeMidpointVerticesOfPolygon(unitSquare);
		assertThat(edgeMidpointVertices).hasLength(4);
		assertThat(edgeMidpointVertices).atIndex(0).isEqualTo(vertexFromXY(0.5, 0));
		assertThat(edgeMidpointVertices).atIndex(1).isEqualTo(vertexFromXY(1, 0.5));
		assertThat(edgeMidpointVertices).atIndex(2).isEqualTo(vertexFromXY(0.5, 1));
		assertThat(edgeMidpointVertices).atIndex(3).isEqualTo(vertexFromXY(0, 0.5));
	}
};

test(tests);