'use strict';

import { reduce } from './functional.js';

function hasProperties(value, properties) {
	return !!value && reduce(properties, (accumulator, property) => accumulator && value.hasOwnProperty(property), true);
}

export {
	hasProperties
};